Description

Ho notato che rimangono dei processi attivi dopo il logout di un utente da interfaccia grafica.
Di istanze gpg-agent ne restano tante quanti sono i login fatti (v. allegato).

Associated revisions

Revision e0f80178 - 09/11/2017 07:10 PM - Simone Piccardi

New version, to solve refs #395

Revision 246fbae0 - 09/12/2017 12:34 PM - Simone Piccardi

Changelog correction, still for refs #395

History

#1 - 09/03/2017 02:50 PM - Paolo Dongilli
- File deleted (IMG_20170902_094909291.jpg)

#2 - 09/03/2017 02:51 PM - Paolo Dongilli

- File user-processes-after-logout.png added

#3 - 09/04/2017 05:54 PM - Simone Piccardi
- Status changed from Nuovo to In elaborazione

- Assignee changed from Simone Piccardi to Paolo Dongilli

Parrebbe un bug di xfce4-session (vedi https://bugs.launchpad.net/ubuntu/+source/xfce4-session/+bug/1274643 é riportato per ubuntu, ma rilevato

anche su jessie). Quanto impatta sul sistema?

Con versioni piu recenti dovrebbe essere risolto ma non mi risulta ci sia un backport. Un possibile workaround & inserire fra le azioni di pulizia che

sono previste in /etc/fuss-client/session-cleanup-script/ uno script di kill di gpg-agent per 'utente appena sloggato.

#4 - 09/04/2017 05:58 PM - Simone Piccardi

Dimenticavo nel controllare gli attuali script di pulizia ho visto quello che c'e cancella tutte le code di stampa con un rm fermando il servizio, che non &

proprio una cosa pulita, sostituisco con un cancel -a.

#5 - 09/05/2017 04:09 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Simone Piccardi

Simone Piccardi ha scritto:

Parrebbe un bug di xfce4-session (vedi https://bugs.launchpad.net/ubuntu/+source/xfce4-session/+bug/1274643 é riportato per ubuntu, ma

rilevato anche su jessie). Quanto impatta sul sistema?
Non mi pare impatti in modo significativo.

#6 - 09/12/2017 02:13 PM - Simone Piccardi
- Status changed from In elaborazione to Commenti

- Assignee changed from Simone Piccardi to Paolo Dongilli

Pubblicato fuss-client 8.0.21, che risolve la il problema. Viene installato il nuovo script di pulizia all'uscita della sessione:

/etc/fuss-client/lightdmscript/session-cleanup-script/killrenmants

al momento si limita ad un kill di gpg-agent per 'utente appena scollegato, pud essere esteso aggiungendo ulteriori processi non correttamente,
qualora venissero identificati.

#7 - 09/29/2017 04:46 PM - Paolo Dongilli

- Status changed from Commenti to Risolto
